Bug 118106 - Non-anaconda/kickstart cron job gives "/bin/sh: line 1: anaconda-ks.cfg: command not found" error
Non-anaconda/kickstart cron job gives "/bin/sh: line 1: anaconda-ks.cfg: comm...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vixie-cron (Show other bugs)
3.0
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 18:25 EST by Graham Freeman
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-04 16:40:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Freeman 2004-03-11 18:25:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US;
rv:1.6) Gecko/20040113

Description of problem:

This is root's crontab:

[root]# crontab -l
# DO NOT EDIT THIS FILE - edit the master and reinstall.
# (/tmp/crontab.15505 installed on Mon Mar  1 22:05:50 2004)
# (Cron version -- $Id: crontab.c,v 2.13 1994/01/17 03:20:37 vixie Exp $)
0 0,3,6,9,12,15,18,21 * * * * /usr/sbin/ntpdate -s time.sonic.net
>/dev/null

This is the e-mail I get every time the job runs:

Return-Path: <root@[elided]>
[snip]
Received: (from root@localhost)
        by [elided] (8.12.10/8.12.10/Submit) id i2BN00Je001812
        for root; Thu, 11 Mar 2004 15:00:00 -0800
Date: Thu, 11 Mar 2004 15:00:00 -0800
Message-Id: <200403112300.i2BN00Je001812@[elided]>
From: root@[elided] (Cron Daemon)
To: root@[elided]
Subject: Cron <root@[elided]> * /usr/sbin/ntpdate -s time.sonic.net
>/dev/null
X-Cron-Env: <SHELL=/bin/sh>
X-Cron-Env: <HOME=/root>
X-Cron-Env: <PATH=/usr/bin:/bin>
X-Cron-Env: <LOGNAME=root>

/bin/sh: line 1: anaconda-ks.cfg: command not found


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create cron job
2. Wait for cron job to execute
3. Get seemingly unrelated error message

Actual Results:  I get an error message that doesn't seem to be at all
related to the cron job in question.


Expected Results:  I should get only errors that relate directly to
the cron job in question, not to anaconda/kickstart.

Additional info:
Comment 1 Jason Vas Dias 2004-08-04 16:40:20 EDT
0 0,3,6,9,12,15,18,21 * * * * /usr/sbin/ntpdate -s time.sonic.net
                            ^- extra asterisk
This cron entry tries to run the first file encountered in your
home directory (anaconda-ks.cfg) .
This common typo is actually handled & reported by vixie-cron-4.1.

Note You need to log in before you can comment on or make changes to this bug.